Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
openvrml::node_interface_matches_field Struct Reference

Determine if a `node_interface` matches an field identifier. More...

`#include <openvrml/node.h>`

List of all members.

## Public Member Functions

result_type | operator() (const first_argument_type &interface_, const second_argument_type &field_id) const
| Determine if a `node_interface` matches an field identifier.

## Detailed Description

Determine if a `node_interface` matches an field identifier.

Model of
  Adaptable Binary Predicate, Default Constructible

## Member Function Documentation

openvrml::node_interface_matches_field::result_type openvrml::node_interface_matches_field::operator() | ( | const first_argument_type & | interface_,
|  | const second_argument_type & | field_id
| ) |  | const`[inline]`

Determine if a `node_interface` matches an field identifier.

A `node_interface` matches a field identifier if the `node_interface's` type is `node_interface::field_id` or `node_interface::exposedfield_id` and the `node_interface's` id is lexicographically equal to the field identifier.

Parameters:

  [in] | interface_ | `node_interface`.
  [in] | field_id | field identifier.

Returns:
  `true` if `interface_` matches `field_id`; `false` otherwise.